Avalara Cross Border Classification
Access to the Production API
To interact with this API, you need to acquire a bearer token. To acquire a bearer token:
- Create a License Key.
- Call Avalara Identity to get an access token:
Sample response (json)curl -X POST https://identity.avalara.com/connect/token -H "Content-Type: application/x-www-form-urlencoded" -d "grant_type=client_credentials&client_id=<avatax_account_id>&client_secret=<license key>&scope=avatax_api"{ "access_token": "<jwt_access_token>", "expires_in": 3600, "token_type": "Bearer", "scope": "avatax_api" } - The
access_tokencan be used to interact with the API. - The
access_tokenis valid for 1 hour, after which you will need to request a fresh token.
Access to the Sandbox API
To interact with the Sandbox API, you can request for a bearer token from your Avalara integration specialist. You can use the bearer token issued for a fixed number of requests against the sandbox API.
Notes